Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::Logger::Record Struct Reference

Sensor log record. More...

## Public Attributes
boolean | available
| Sensor was available for at least one sample.
int | takenValidSamples
| Number of samples with a valid reading/state.
int | state
| Sensor state.
double | minValue
| Minimum sensor reading.
double | avgValue
| Average sensor reading.
double | maxValue
| Maximum sensor reading.

## Detailed Description

Sensor log record.

The documentation for this struct was generated from the following file:

- SensorLogger.idl